## org.eclipse.datatools.sqltools.sqleditor.preferences
Class SyntaxItem

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.preferences.SyntaxItem

    public class SyntaxItem

extends java.lang.Object

A syntax item object

Author:
  renj

Constructor Summary
`SyntaxItem(boolean bk, boolean ik, boolean sk, boolean uk, boolean sys, org.eclipse.swt.graphics.RGB rgb)`
`SyntaxItem(java.lang.String preferenceCodes)`

Method Summary
`org.eclipse.swt.graphics.RGB` `getColor()`
`boolean` `isBold()`
`boolean` `isItalic()`
`boolean` `isStrikethrough()`
`boolean` `isSystemDefault()`
`boolean` `isUnderline()`
`void` `setBoldKey(boolean bk)`
`void` `setColor(org.eclipse.swt.graphics.RGB rgb)`
`void` `setItalicKey(boolean ik)`
`void` `setStrikethroughKey(boolean sk)`
`void` `setSystemDefault(boolean sys)`
`void` `setUnderlineKey(boolean uk)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntaxItem

    public SyntaxItem(java.lang.String preferenceCodes)

### SyntaxItem

    public SyntaxItem(boolean bk,
                      boolean ik,
                      boolean sk,
                      boolean uk,
                      boolean sys,
                      org.eclipse.swt.graphics.RGB rgb)

Method Detail

### setBoldKey

    public void setBoldKey(boolean bk)

### setItalicKey

    public void setItalicKey(boolean ik)

### setStrikethroughKey

    public void setStrikethroughKey(boolean sk)

### setUnderlineKey

    public void setUnderlineKey(boolean uk)

### setSystemDefault

    public void setSystemDefault(boolean sys)

### setColor

    public void setColor(org.eclipse.swt.graphics.RGB rgb)

### isBold

    public boolean isBold()

### isItalic

    public boolean isItalic()

### isStrikethrough

    public boolean isStrikethrough()

### isUnderline

    public boolean isUnderline()

### isSystemDefault

    public boolean isSystemDefault()

### getColor

    public org.eclipse.swt.graphics.RGB getColor()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`